xine-lib: xine_current_frame_data_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
xine_current_frame_data_s Struct Reference

`#include <xine.h>`

## Data Fields
int | width
int | height
int | crop_left
int | crop_right
int | crop_top
int | crop_bottom
int | ratio_code
int | interlaced
int | format
int | img_size
uint8_t * | img

## Field Documentation

## ◆ crop_bottom

int xine_current_frame_data_s::crop_bottom

Referenced by _x_get_current_frame_data(), and vdr_execute_rpc_command().

## ◆ crop_left

int xine_current_frame_data_s::crop_left

Referenced by _x_get_current_frame_data(), and vdr_execute_rpc_command().

## ◆ crop_right

int xine_current_frame_data_s::crop_right

Referenced by _x_get_current_frame_data(), and vdr_execute_rpc_command().

## ◆ crop_top

int xine_current_frame_data_s::crop_top

Referenced by _x_get_current_frame_data(), and vdr_execute_rpc_command().

## ◆ format

int xine_current_frame_data_s::format

Referenced by _x_get_current_frame_data(), _x_va_frame_provide_standard_frame_data(), vdpau_provide_standard_frame_data(), vdr_execute_rpc_command(), vo_grab_grab_video_frame(), xine_get_current_frame(), xine_get_current_frame_alloc(), and xine_get_current_frame_s().

## ◆ height

int xine_current_frame_data_s::height

Referenced by _x_get_current_frame_data(), _x_va_frame_provide_standard_frame_data(), vdr_execute_rpc_command(), xine_get_current_frame(), xine_get_current_frame_alloc(), and xine_get_current_frame_s().

## ◆ img

uint8_t* xine_current_frame_data_s::img

Referenced by _x_get_current_frame_data(), _x_va_frame_provide_standard_frame_data(), vdpau_provide_standard_frame_data(), vdr_execute_rpc_command(), vo_grab_grab_video_frame(), xine_get_current_frame(), xine_get_current_frame_alloc(), and xine_get_current_frame_s().

## ◆ img_size

int xine_current_frame_data_s::img_size

Referenced by _x_get_current_frame_data(), _x_va_frame_provide_standard_frame_data(), vdpau_provide_standard_frame_data(), vdr_execute_rpc_command(), vo_grab_grab_video_frame(), xine_get_current_frame_alloc(), and xine_get_current_frame_s().

## ◆ interlaced

int xine_current_frame_data_s::interlaced

Referenced by _x_get_current_frame_data(), and vdr_execute_rpc_command().

## ◆ ratio_code

int xine_current_frame_data_s::ratio_code

Referenced by _x_get_current_frame_data(), vdr_execute_rpc_command(), xine_get_current_frame(), xine_get_current_frame_alloc(), and xine_get_current_frame_s().

## ◆ width

int xine_current_frame_data_s::width

Referenced by _x_get_current_frame_data(), _x_va_frame_provide_standard_frame_data(), vdr_execute_rpc_command(), xine_get_current_frame(), xine_get_current_frame_alloc(), and xine_get_current_frame_s().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/include/xine.h